Subject: Re: bug#56198: Request to delete window with mouse event

From: [email-masked]
Date: Wed, 29 Jun 2022 02:15:17 +0200 (CEST)

Jun 29, 2022, 00:07 by [email-masked]:

>> I frequently split my windows,  I usually kill the buffer using the
>> menu bar.  But this leaves me with the window open with some other
>> buffer.  Would like to request some facility to delete a window
>> (delete-window) using the mouse, as I frequently do for `kill-buffer'.
>>  Perhaps the capability could be inserted in the window mode-line. 
>> Where one can usually turn off a minor-mode with the mouse.
>>
>
> How about having `Close' in context menu?
>
I cannot understand this terminology.  How does one access the context menu?
What is it?

> ["Close"
>  (lambda () (interactive)
>  (if (one-window-p)
>  (if (> (length (visible-frame-list)) 1)
>  (call-interactively 'delete-frame)
>  (kill-buffer (window-buffer))) ; (quit-window)
>  (delete-window)))
>  :help "Remove this window or this frame, or kill this buffer"
>  :visible (not (region-active-p))
>  :active t]
>